aboutsummaryrefslogtreecommitdiffstats
path: root/config/hypr/scripts/RefreshNoWaybar.sh
diff options
context:
space:
mode:
authorJa.KooLit <ejhay.games@gmail.com>2023-12-17 12:11:43 +0900
committerJa.KooLit <ejhay.games@gmail.com>2023-12-17 12:13:02 +0900
commit8b09525226e651c68d5f917649b6fe1a01686d03 (patch)
tree4b2b701c472940680d305d12d508f7eb64843159 /config/hypr/scripts/RefreshNoWaybar.sh
parent3a6774177703cad0f90da27f72f4ebe53a89a363 (diff)
Updated Wallpaper automatic change to not refresh waybar to avoid annoyance :)
Diffstat (limited to 'config/hypr/scripts/RefreshNoWaybar.sh')
-rwxr-xr-xconfig/hypr/scripts/RefreshNoWaybar.sh29
1 files changed, 29 insertions, 0 deletions
diff --git a/config/hypr/scripts/RefreshNoWaybar.sh b/config/hypr/scripts/RefreshNoWaybar.sh
new file mode 100755
index 00000000..f177438d
--- /dev/null
+++ b/config/hypr/scripts/RefreshNoWaybar.sh
@@ -0,0 +1,29 @@
+#!/usr/bin/env bash
+
+# Modified version of Refresh but no waybar refresh
+# Used by automatic wallpaper change
+# Modified inorder to refresh rofi background, Pywal
+
+SCRIPTSDIR=$HOME/.config/hypr/scripts
+
+# Kill already running processes
+_ps=(rofi)
+for _prs in "${_ps[@]}"; do
+ if pidof "${_prs}" >/dev/null; then
+ pkill "${_prs}"
+ fi
+done
+
+sleep 0.1
+# Relaunch dunst with pywal-borders
+${SCRIPTSDIR}/PywalDunst.sh &
+
+# Pywal refresh
+${SCRIPTSDIR}/PywalSwww.sh &
+
+# Relaunching rainbow borders
+sleep 1
+${SCRIPTSDIR}/RainbowBorders.sh &
+
+# for cava-pywal (note, need to manually restart cava once wallpaper changes)
+ln -sf "$HOME/.cache/wal/cava-colors" "$HOME/.config/cava/config" || true \ No newline at end of file
send patches to the email below
yukais@pinapelz.com
include the subject [PATCH repo_name]
pinapelz.com
homepage